Role Elevation
Approve/reject role elevation request (admin only)
Admin approves or rejects a role elevation request
POST
/api/orgs/{orgId}/role-elevation/{requestId}/approveSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, RoleElevationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const roleelevation = new RoleElevationApi(configuration);import { Configuration, RoleElevationApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const roleelevation = new RoleElevationApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await roleelevation.approveRoleElevation(
"org_h2DABD5CHn",
"UhhLG4WRQ0OaRST9",
{
approved: true,
reason: "matrix index"
}
);const { data: result } = await roleelevation.approveRoleElevation(
"org_h2DABD5CHn",
"UhhLG4WRQ0OaRST9",
{
approved: true,
reason: "matrix index"
}
);Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgId | string | Yes | — |
requestId | string | Yes | — |
Request Body
json
{
"approved": false,
"reason": "transmitter bypass"
}{
"approved": false,
"reason": "transmitter bypass"
}Responses
200Request approved/rejected
json
{
"message": "Request approved",
"request": {
"_id": "req_abc",
"status": "approved"
}
}{
"message": "Request approved",
"request": {
"_id": "req_abc",
"status": "approved"
}
}400Requirements not met
403Insufficient permissions
404Request not found
Errors
| Code | Meaning |
|---|---|
400 | Requirements not met |
403 | Insufficient permissions |
404 | Request not found |